/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\greater\essenceofspellcasting.cs
Lines of code: 35

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class essenceofspellcasting : Spellbook
	{

		[Constructable]
		public essenceofspellcasting() : base()
		{
		Name="Essence of Spellcasting";
		Hue=1364;


		Attributes.LowerManaCost= 15;
		Attributes.SpellDamage=15;
		Attributes.LowerRegCost=30;
		Attributes.RegenMana = 2;
				
		}
		

		

		public essenceofspellcasting( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new CrystalLadenTome());
		}		
	}
	
}